API v1 is being deprecated. Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on API v2 only. Switch the docs version to API v2 (recommended) or follow the Migrate from API v1 to v2 guide to upgrade your integration.
{ "status": "error", "code": 101, "type": "invalid_key", "description": "The API Key is missing or invalid."}
Data Lookup
Domain Lookup
This method allows you to retrieve detailed information about a domain by providing its domain name in the request.
The API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.
API v1 is being deprecated. Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on API v2 only. Switch the docs version to API v2 (recommended) or follow the Migrate from API v1 to v2 guide to upgrade your integration.
{ "status": "error", "code": 101, "type": "invalid_key", "description": "The API Key is missing or invalid."}
This endpoint still in beta stage, and it may change in the future. Currently,
helps you to look up a domain name that’s already available in our automated
database. The domain names that are not available in our database will return
null values for all properties, but at the same time it will trigger the
automation system to start collecting data about the domain name, and it will
be available in the next 24 hours after the first request.
The format command is used to get a response in a specific format.Expected values: JSON, XML, CSV, or NewlineFor more information please refer to Response Format.
The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.Expected values: live, or test.For more information please refer to Development Environment.
The callback command can help you make the response as a JSONP format.Expected values: any name that can be used as a function name in Javascript, e.g: myFunctionName.For more information please refer to JSONP Callback.
Indicates whether the domain is flagged as dangerous or suspicious, which may suggest a higher risk of fraud or abuse.
If this property is set to true, the domain is considered high-risk or potentially malicious. As a result, the isValid property will also be false, indicating that the email address should not be trusted for critical communications or user registrations. It is strongly recommended to block or flag such email addresses in your application workflow.
Indicates whether the domain has a valid DMARC (Domain-based Message Authentication, Reporting, and Conformance) record, which helps protect against email phishing and spoofing.
Indicates whether the domain has a valid BIMI (Brand Indicators for Message Identification) record, which allows brand logos to be displayed in supported email clients.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Greip API Documentation","colors":{"primary":"#008CFF","light":"#008CFF","dark":"#008CFF"},"logo":{"light":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/logo/light.svg?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=f19b2aac5c5fcac6cccf3ef89dc6cc9a","dark":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/logo/dark.svg?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=3662ee2aaf8fb03ca8ba5dd0cfeb4c59"},"favicon":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/favicon-1.svg?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=2b357f173640f57b886f5271c144c66d","api":{"openapi":"https://greip.io/OpenAPI.json","playground":{"display":"interactive"},"mdx":{"auth":{"method":"bearer"},"server":"https://greipapi.com"}},"appearance":{"default":"dark"},"background":{"image":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/images/background-light.png?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=d5d027aef4f4e3d302c5530a198c7431"},"navbar":{"links":[{"href":"https://join.slack.com/t/greip-community/shared_invite/zt-2sxdyaaj8-418mMcVlekO6sNhKOAGWpg","label":"Community"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.greip.io/home"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/greip","github":"https://github.com/Greipio","website":"https://greip.io","x":"https://x.com/Greipio","slack":"https://join.slack.com/t/greip-community/shared_invite/zt-2sxdyaaj8-418mMcVlekO6sNhKOAGWpg"}},"banner":{"content":"🚀 Greip's API achieved **99.98%** uptime for the last 90 days, [learn more](https://status.greip.io/).","dismissible":true},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Integrations","icon":"gears","href":"https://greip.io/integrations/all"},{"anchor":"Changelog","icon":"clock-rotate-left","href":"https://changelog.greip.io"},{"anchor":"Server Status","icon":"signal-bars","href":"https://status.greip.io"},{"anchor":"Articles","icon":"rss","href":"https://greip.io/blog"},{"anchor":"Dictionary","icon":"book-open","href":"https://greip.io/blog/section/Dictionary"},{"anchor":"FAQ","icon":"circle-question","href":"https://greip.io/faq"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"greip","hasAudioNarration":false,"actualSubdomain":"greip","customDomains":["docs.greip.io"],"gitSource":{"type":"github","owner":"greipio","repo":"greip-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad8b1e6ace1a45c00d9d9c5","collectionId":"2e1541b2-5b7d-431c-abf8-c7f9d6ee3b9c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad8b1e6ace1a45c00d9d9c5"},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6ad8b1e6ace1a45c00d9d9c5","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":30},{"language":"default","tag":"Knowledge Base","count":28},{"language":"default","tag":"Data Lookup","count":18},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Account Management","count":11},{"language":"default","tag":"Risk Scoring","count":10},{"language":"default","tag":"Integration Guide","count":10},{"language":"default","tag":"Get Started","count":8},{"language":"default","tag":"Use cases","count":8},{"language":"default","tag":"Integrations","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".panel{overflow:visible}.custom-link,.prose :where(.custom-link:hover):not(:where([class~=\"not-prose\"], [class~=\"not-prose\"] *)){display:inline-block;flex:unset;width:auto;border:unset!important;text-decoration:underline}.no-wrap-words{white-space:nowrap}"}],"page":{"pagePath":"api-reference/v1/endpoint/data-lookup/domain","slug":"/api-reference/v1/endpoint/data-lookup/domain","pageMetadata":{"title":"Domain Lookup","description":"This method allows you to retrieve detailed information about a domain by providing its domain name in the request.\n\nThe API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.","api":"GET /lookup/domain","href":"/api-reference/v1/endpoint/data-lookup/domain"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"This method allows you to retrieve detailed information about a domain by providing its domain name in the request.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const MCPCallout=()=>{const _components={a:`a`,..._provideComponents()};return _jsxs(`div`,{class:`callout mint-my-4 mint-px-5 mint-py-4 mint-overflow-hidden mint-rounded-2xl mint-flex mint-gap-3 mint-border border-[rgba(192, 132, 252, 0.2)] bg-[rgba(192, 132, 252, 0.1)] dark:mint-border-[#c084fc4d] dark:mint-bg-[#c084fc1a] mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-callout-type\":`callout`,children:[_jsx(`div`,{class:`mint-mt-0.5 mint-w-4`,\"data-component-part\":`callout-icon`,children:_jsx(`svg`,{class:`mint-h-4 mint-w-4 !mint-m-0 mint-shrink-0 mint-bg-[#c084fc] mint-[mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[-webkit-mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[mask-repeat:no-repeat] mint-[-webkit-mask-repeat:no-repeat] mint-[mask-position:center] mint-[-webkit-mask-position:center]`})}),_jsx(`div`,{class:`mint-text-sm prose dark:prose-invert mint-min-w-0 mint-w-full [\u0026_kbd]:bg-background-light dark:[\u0026_kbd]:bg-background-dark mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-component-part\":`callout-content`,children:_jsxs(`span`,{\"data-as\":`p`,children:[`Want to skip the docs? Use the`,` `,_jsx(_components.a,{class:`link mint-text-xs mint-border-[#C792FC]`,href:`/docs-mcp-server`,children:_jsx(`b`,{children:`MCP Server`})})]})})]})};const Availability=({plan,color})=>{const colorMap={green:`text-green-700 dark:text-green-400`,blue:`text-blue-700 dark:text-blue-400`,purple:`text-purple-700 dark:text-purple-400`};return _jsxs(`div`,{dir:`ltr`,\"data-orientation\":`horizontal`,class:`mint-p-4 mint-px-5 mint-mt-0 md:mint-mt-4 mint-flex mint-flex-col sm:mint-flex-row mint-flex-wrap mint-gap-2 mint-relative mint-overflow-hidden mint-rounded-2xl mint-border mint-border-gray-950/10 dark:mint-border-white/10 mint-my-0 mint-bg-gray-50 dark:mint-bg-white/5 dark:codeblock-dark mint-text-gray-950 dark:mint-text-gray-50 codeblock-light mint-text-sm prose prose-gray dark:prose-invert mint-font-semibold no-wrap-words`,children:[`Endpoint availability:`,` `,_jsx(`span`,{class:` ${{green:`mint-text-green-700 dark:mint-text-green-400`,blue:`mint-text-blue-700 dark:mint-text-blue-400`,purple:`mint-text-purple-700 dark:mint-text-purple-400`}[color]} mint-flex-1`,children:plan}),_jsx(`a`,{class:`custom-link mint-text-xs`,href:`https://greip.io/detailed-pricing`,children:`Learn more`})]})};function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField,Warning}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Warning,{children:_jsxs(_components.p,{children:[`This endpoint still in beta stage, and it may change in the future. Currently,\nhelps you to look up a domain name that’s already available in our automated\ndatabase. The domain names that are not available in our database will return\n`,_jsx(_components.code,{children:`null`}),` values for all properties, but at the same time it will trigger the\nautomation system to start collecting data about the domain name, and it will\nbe available in the next 24 hours after the first request.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(ParamField,{query:`domain`,type:`string`,placeholder:`The domain name`,required:true,id:`param-domain`,children:[_jsxs(_components.p,{children:[`The fully qualified domain name (FQDN) to look up. `,_jsx(_components.a,{href:`https://en.wikipedia.org/wiki/Fully_qualified_domain_name`,children:`Learn more`})]}),_jsxs(_components.p,{children:[`Sample value: `,_jsx(_components.code,{children:`example.com`})]})]}),`\n`,_jsxs(ParamField,{query:`format`,type:`string`,default:`JSON`,placeholder:`Response format`,id:`param-format`,children:[_jsx(_components.p,{children:`The format command is used to get a response in a specific format.`}),_jsxs(_components.p,{children:[`Expected values: `,_jsx(_components.code,{children:`JSON`}),`, `,_jsx(_components.code,{children:`XML`}),`, `,_jsx(_components.code,{children:`CSV`}),`, or `,_jsx(_components.code,{children:`Newline`})]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/response-format`,children:`Response Format`}),`.`]})]}),`\n`,_jsxs(ParamField,{query:`mode`,type:`string`,default:`live`,placeholder:`Environment`,id:`param-mode`,children:[_jsx(_components.p,{children:`The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.`}),_jsxs(_components.p,{children:[`Expected values: `,_jsx(_components.code,{children:`live`}),`, or `,_jsx(_components.code,{children:`test`}),`.`]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/development-environment`,children:`Development Environment`}),`.`]})]}),`\n`,_jsxs(ParamField,{query:`callback`,type:`string`,placeholder:`JSONP callback`,id:`param-callback`,children:[_jsx(_components.p,{children:`The callback command can help you make the response as a JSONP format.`}),_jsxs(_components.p,{children:[`Expected values: any name that can be used as a function name in Javascript, e.g: `,_jsx(_components.code,{children:`myFunctionName`}),`.`]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/jsonp-callback`,children:`JSONP Callback`}),`.`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`response-properties`,children:`Response properties`}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,required:true,id:`param-data`,children:[_jsxs(Expandable,{title:`properties`,defaultOpen:true,children:[_jsx(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name`,children:_jsxs(_components.p,{children:[`The full domain name associated with the email address (for example, `,_jsx(_components.code,{children:`gmail.com`}),`).`]})}),_jsx(ResponseField,{name:`is_disposable`,type:`boolean|null`,id:`param-is-disposable`,children:_jsx(_components.p,{children:`Indicates whether the domain is used for disposable or temporary email services.`})}),_jsx(ResponseField,{name:`is_forwarding`,type:`boolean|null`,id:`param-is-forwarding`,children:_jsx(_components.p,{children:`Indicates whether the domain appears to be an email forwarding service.`})}),_jsxs(ResponseField,{name:`is_dangerous`,type:`boolean|null`,required:true,id:`param-is-dangerous`,children:[_jsx(_components.p,{children:`Indicates whether the domain is flagged as dangerous or suspicious, which may suggest a higher risk of fraud or abuse.`}),_jsx(Warning,{children:_jsxs(_components.p,{children:[`If this property is set to `,_jsx(_components.code,{children:`true`}),`, the domain is considered high-risk or potentially malicious. As a result, the `,_jsx(_components.code,{children:`isValid`}),` property will also be `,_jsx(_components.code,{children:`false`}),`, indicating that the email address should not be trusted for critical communications or user registrations. It is strongly recommended to block or flag such email addresses in your application workflow.`]})})]}),_jsx(ResponseField,{name:`is_spf`,type:`boolean|null`,required:true,id:`param-is-spf`,children:_jsx(_components.p,{children:`Indicates whether the domain has a valid SPF (Sender Policy Framework) record, which helps prevent email spoofing.`})}),_jsx(ResponseField,{name:`is_dmarc`,type:`boolean|null`,required:true,id:`param-is-dmarc`,children:_jsx(_components.p,{children:`Indicates whether the domain has a valid DMARC (Domain-based Message Authentication, Reporting, and Conformance) record, which helps protect against email phishing and spoofing.`})}),_jsx(ResponseField,{name:`is_dkim`,type:`boolean|null`,required:true,id:`param-is-dkim`,children:_jsx(_components.p,{children:`Indicates whether the domain has a valid DKIM (DomainKeys Identified Mail) record, which verifies the authenticity of the sender’s domain.`})}),_jsx(ResponseField,{name:`is_mx`,type:`boolean|null`,required:true,id:`param-is-mx`,children:_jsx(_components.p,{children:`Indicates whether the domain has valid MX (Mail Exchange) records, confirming that it is capable of receiving emails.`})}),_jsx(ResponseField,{name:`is_bimi`,type:`boolean|null`,required:true,id:`param-is-bimi`,children:_jsx(_components.p,{children:`Indicates whether the domain has a valid BIMI (Brand Indicators for Message Identification) record, which allows brand logos to be displayed in supported email clients.`})}),_jsx(ResponseField,{name:`created_at`,type:`string|null`,required:true,id:`param-created-at`,children:_jsx(_components.p,{children:`The date when the domain was first registered or created, if available.`})}),_jsx(ResponseField,{name:`is_new`,type:`boolean|null`,required:true,id:`param-is-new`,children:_jsx(_components.p,{children:`Indicates whether the domain is new or recently registered (registered within 1 year), which may affect its reputation and trustworthiness.`})}),_jsx(ResponseField,{name:`domain_age_days`,type:`integer|null`,id:`param-domain-age-days`,children:_jsxs(_components.p,{children:[`Days since domain registration when `,_jsx(_components.code,{children:`created_at`}),` is known; otherwise `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`has_website`,type:`boolean|null`,id:`param-has-website`,children:_jsxs(_components.p,{children:[`Whether the domain resolves to a public host (DNS A/AAAA lookup). `,_jsx(_components.code,{children:`null`}),` when lookup did not complete in time.`]})}),_jsx(ResponseField,{name:`mx_provider_class`,type:`string`,id:`param-mx-provider-class`,children:_jsxs(_components.p,{children:[`Inferred mail host category when MX is present: `,_jsx(_components.code,{children:`none`}),`, `,_jsx(_components.code,{children:`google_workspace`}),`, `,_jsx(_components.code,{children:`microsoft_365`}),`, `,_jsx(_components.code,{children:`yahoo`}),`, `,_jsx(_components.code,{children:`zoho`}),`, `,_jsx(_components.code,{children:`proton`}),`, or `,_jsx(_components.code,{children:`custom`}),`.`]})})]}),_jsxs(ResponseField,{name:`status`,type:`string`,required:true,id:`param-status`,children:[_jsx(_components.p,{children:`The response status.`}),_jsxs(_components.p,{children:[`Expected values: `,_jsx(_components.code,{children:`success`}),`, or `,_jsx(_components.code,{children:`error`}),`.`]})]}),_jsx(ResponseField,{name:`executionTime`,type:`integer`,required:true,id:`param-execution-time`,children:_jsx(_components.p,{children:`Time spent in milliseconds to process the data.`})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{MCPCallout,Availability,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Domain Lookup","description":"This method allows you to retrieve detailed information about a domain by providing its domain name in the request.\n\nThe API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.","api":"GET /lookup/domain","href":"/api-reference/v1/endpoint/data-lookup/domain"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[149,2540,"null;const Availability=()=>null;functio"]]},"panelMdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const MCPCallout=()=>{const _components={a:`a`,..._provideComponents()};return _jsxs(`div`,{class:`callout mint-my-4 mint-px-5 mint-py-4 mint-overflow-hidden mint-rounded-2xl mint-flex mint-gap-3 mint-border border-[rgba(192, 132, 252, 0.2)] bg-[rgba(192, 132, 252, 0.1)] dark:mint-border-[#c084fc4d] dark:mint-bg-[#c084fc1a] mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-callout-type\":`callout`,children:[_jsx(`div`,{class:`mint-mt-0.5 mint-w-4`,\"data-component-part\":`callout-icon`,children:_jsx(`svg`,{class:`mint-h-4 mint-w-4 !mint-m-0 mint-shrink-0 mint-bg-[#c084fc] mint-[mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[-webkit-mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[mask-repeat:no-repeat] mint-[-webkit-mask-repeat:no-repeat] mint-[mask-position:center] mint-[-webkit-mask-position:center]`})}),_jsx(`div`,{class:`mint-text-sm prose dark:prose-invert mint-min-w-0 mint-w-full [\u0026_kbd]:bg-background-light dark:[\u0026_kbd]:bg-background-dark mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-component-part\":`callout-content`,children:_jsxs(`span`,{\"data-as\":`p`,children:[`Want to skip the docs? Use the`,` `,_jsx(_components.a,{class:`link mint-text-xs mint-border-[#C792FC]`,href:`/docs-mcp-server`,children:_jsx(`b`,{children:`MCP Server`})})]})})]})};const Availability=({plan,color})=>{const colorMap={green:`text-green-700 dark:text-green-400`,blue:`text-blue-700 dark:text-blue-400`,purple:`text-purple-700 dark:text-purple-400`};return _jsxs(`div`,{dir:`ltr`,\"data-orientation\":`horizontal`,class:`mint-p-4 mint-px-5 mint-mt-0 md:mint-mt-4 mint-flex mint-flex-col sm:mint-flex-row mint-flex-wrap mint-gap-2 mint-relative mint-overflow-hidden mint-rounded-2xl mint-border mint-border-gray-950/10 dark:mint-border-white/10 mint-my-0 mint-bg-gray-50 dark:mint-bg-white/5 dark:codeblock-dark mint-text-gray-950 dark:mint-text-gray-50 codeblock-light mint-text-sm prose prose-gray dark:prose-invert mint-font-semibold no-wrap-words`,children:[`Endpoint availability:`,` `,_jsx(`span`,{class:` ${{green:`mint-text-green-700 dark:mint-text-green-400`,blue:`mint-text-blue-700 dark:mint-text-blue-400`,purple:`mint-text-purple-700 dark:mint-text-purple-400`}[color]} mint-flex-1`,children:plan}),_jsx(`a`,{class:`custom-link mint-text-xs`,href:`https://greip.io/detailed-pricing`,children:`Learn more`})]})};function _createMdxContent(props){const _components={a:`a`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Warning,_MdxComponentBoundary}=_components;if(!Warning)_missingMdxReference(`Warning`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`API v1 is being deprecated.`}),` Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on `,_jsx(_components.strong,{children:`API v2`}),` only. Switch the docs version to `,_jsx(_components.strong,{children:`API v2`}),` (recommended) or follow the `,_jsx(_components.a,{href:`/migration`,children:`Migrate from API v1 to v2`}),` guide to upgrade your integration.`]})}),`\n`,_jsx(_MdxComponentBoundary,{name:`MCPCallout`,children:_jsx(MCPCallout,{})}),`\n`,_jsx(_MdxComponentBoundary,{name:`Availability`,children:_jsx(Availability,{plan:`Standard and above`,color:`green`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{MCPCallout,Availability,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Domain Lookup","description":"This method allows you to retrieve detailed information about a domain by providing its domain name in the request.\n\nThe API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.","api":"GET /lookup/domain","href":"/api-reference/v1/endpoint/data-lookup/domain"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const MCPCallout=()=>null;const Availability=()=>null;function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,ResponseExample,Warning,_MdxComponentBoundary}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!Warning)_missingMdxReference(`Warning`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`API v1 is being deprecated.`}),` Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on `,_jsx(_components.strong,{children:`API v2`}),` only. Switch the docs version to `,_jsx(_components.strong,{children:`API v2`}),` (recommended) or follow the `,_jsx(_components.a,{href:`/migration`,children:`Migrate from API v1 to v2`}),` guide to upgrade your integration.`]})}),`\n`,_jsx(_MdxComponentBoundary,{name:`MCPCallout`,children:_jsx(MCPCallout,{})}),`\n`,_jsx(_MdxComponentBoundary,{name:`Availability`,children:_jsx(Availability,{plan:`Standard and above`,color:`green`})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`Success`,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dangerous-domain.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_dangerous\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_disposable\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_forwarding\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_spf\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_dmarc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_dkim\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_mx\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_bimi\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-02-05\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_new\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"executionTime\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Error`,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`101`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"invalid_key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The API Key is missing or invalid.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{MCPCallout,Availability,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Domain Lookup","description":"This method allows you to retrieve detailed information about a domain by providing its domain name in the request.\n\nThe API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.","api":"GET /lookup/domain","href":"/api-reference/v1/endpoint/data-lookup/domain"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Query Parameters","slug":"query-parameters","depth":3,"children":[]},{"title":"Response properties","slug":"response-properties","depth":3,"children":[]}],"panel":{"content":"export const MCPCallout = () => {\n return \u003cdiv class=\"callout my-4 px-5 py-4 overflow-hidden rounded-2xl flex gap-3 border border-[rgba(192, 132, 252, 0.2)] bg-[rgba(192, 132, 252, 0.1)] dark:border-[#c084fc4d] dark:bg-[#c084fc1a] text-[#6005BB] dark:text-[#FFFFFF]\" data-callout-type=\"callout\">\n \u003cdiv class=\"mt-0.5 w-4\" data-component-part=\"callout-icon\">\n \u003csvg class=\"h-4 w-4 !m-0 shrink-0 bg-[#c084fc] [mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] [-webkit-mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] [mask-repeat:no-repeat] [-webkit-mask-repeat:no-repeat] [mask-position:center] [-webkit-mask-position:center]\">\u003c/svg>\n \u003c/div>\n \u003cdiv class=\"text-sm prose dark:prose-invert min-w-0 w-full [\u0026_kbd]:bg-background-light dark:[\u0026_kbd]:bg-background-dark text-[#6005BB] dark:text-[#FFFFFF]\" data-component-part=\"callout-content\">\n \u003cspan data-as=\"p\">\n Want to skip the docs? Use the{\" \"}\n \u003ca class=\"link mint-text-xs border-[#C792FC]\" href=\"/docs-mcp-server\">\n \u003cb>MCP Server\u003c/b>\n \u003c/a>\n \u003c/span>\n \u003c/div>\n \u003c/div>;\n};\nexport const Availability = ({plan, color}) => {\n const colorMap = {\n green: \"text-green-700 dark:text-green-400\",\n blue: \"text-blue-700 dark:text-blue-400\",\n purple: \"text-purple-700 dark:text-purple-400\"\n };\n return \u003cdiv dir=\"ltr\" data-orientation=\"horizontal\" class=\"p-4 px-5 mt-0 md:mt-4 flex flex-col sm:flex-row flex-wrap gap-2 relative overflow-hidden rounded-2xl border border-gray-950/10 dark:border-white/10 my-0 bg-gray-50 dark:bg-white/5 dark:codeblock-dark text-gray-950 dark:text-gray-50 codeblock-light text-sm prose prose-gray dark:prose-invert font-semibold no-wrap-words\">\n Endpoint availability:{\" \"}\n \u003cspan class={` ${colorMap[color]} flex-1`}>{plan}\u003c/span>\n \u003ca class=\"custom-link text-xs\" href=\"https://greip.io/detailed-pricing\">\n Learn more\n \u003c/a>\n \u003c/div>;\n};\n\n\u003cWarning>\n **API v1 is being deprecated.** Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on **API v2** only. Switch the docs version to **API v2** (recommended) or follow the [Migrate from API v1 to v2](/migration) guide to upgrade your integration.\n\u003c/Warning>\n\n\u003cMCPCallout />\n\n\u003cAvailability plan=\"Standard and above\" color=\"green\" />\n\n\u003cResponseExample>\n ```json Success theme={null}\n {\n \"data\": {\n \"name\": \"dangerous-domain.com\",\n \"is_dangerous\": true,\n \"is_disposable\": false,\n \"is_forwarding\": false,\n \"is_spf\": false,\n \"is_dmarc\": false,\n \"is_dkim\": false,\n \"is_mx\": false,\n \"is_bimi\": false,\n \"created_at\": \"2025-02-05\",\n \"is_new\": true\n },\n \"status\": \"success\",\n \"executionTime\": 0\n }\n ```\n\n ```json Error theme={null}\n {\n \"status\": \"error\",\n \"code\": 101,\n \"type\": \"invalid_key\",\n \"description\": \"The API Key is missing or invalid.\"\n }\n ```\n\u003c/ResponseExample>\n"},"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Success","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"17\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"dangerous-domain.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_dangerous\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_disposable\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_forwarding\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_spf\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_dmarc\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_dkim\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_mx\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_bimi\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-02-05\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_new\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"executionTime\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Error","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"6\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">101\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"invalid_key\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"The API Key is missing or invalid.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Domain Lookup","path":"/lookup/domain","servers":[{"url":"https://greipapi.com"}],"method":"get","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{"domain":{"schema":[{"type":"string","description":"The fully qualified domain name (FQDN) to look up. Learn more Sample value: `example.com`","required":true,"placeholder":"The domain name"}]},"format":{"schema":[{"type":"string","description":"The format command is used to get a response in a specific format. Expected values: `JSON` , `XML` , `CSV` , or `Newline` For more information please refer to Response Format .","placeholder":"Response format"}]},"mode":{"schema":[{"type":"string","description":"The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment. Expected values: `live` , or `test` . For more information please refer to Development Environment .","placeholder":"Environment"}]},"callback":{"schema":[{"type":"string","description":"The callback command can help you make the response as a JSONP format. Expected values: any name that can be used as a function name in Javascript, e.g: `myFunctionName` . For more information please refer to JSONP Callback .","placeholder":"JSONP callback"}]}},"header":{},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"data":[{"type":"object","properties":{"name":[{"type":"string","description":"The full domain name associated with the email address (for example, `gmail.com` ).","required":true}],"is_disposable":[{"type":"object","properties":{},"description":"Indicates whether the domain is used for disposable or temporary email services."}],"is_forwarding":[{"type":"object","properties":{},"description":"Indicates whether the domain appears to be an email forwarding service."}],"is_dangerous":[{"type":"object","properties":{},"description":"Indicates whether the domain is flagged as dangerous or suspicious, which may suggest a higher risk of fraud or abuse.","required":true}],"is_spf":[{"type":"object","properties":{},"description":"Indicates whether the domain has a valid SPF (Sender Policy Framework) record, which helps prevent email spoofing.","required":true}],"is_dmarc":[{"type":"object","properties":{},"description":"Indicates whether the domain has a valid DMARC (Domain-based Message Authentication, Reporting, and Conformance) record, which helps protect against email phishing and spoofing.","required":true}],"is_dkim":[{"type":"object","properties":{},"description":"Indicates whether the domain has a valid DKIM (DomainKeys Identified Mail) record, which verifies the authenticity of the sender’s domain.","required":true}],"is_mx":[{"type":"object","properties":{},"description":"Indicates whether the domain has valid MX (Mail Exchange) records, confirming that it is capable of receiving emails.","required":true}],"is_bimi":[{"type":"object","properties":{},"description":"Indicates whether the domain has a valid BIMI (Brand Indicators for Message Identification) record, which allows brand logos to be displayed in supported email clients.","required":true}],"created_at":[{"type":"object","properties":{},"description":"The date when the domain was first registered or created, if available.","required":true}],"is_new":[{"type":"object","properties":{},"description":"Indicates whether the domain is new or recently registered (registered within 1 year), which may affect its reputation and trustworthiness.","required":true}],"domain_age_days":[{"type":"object","properties":{},"description":"Days since domain registration when `created_at` is known; otherwise `null` ."}],"has_website":[{"type":"object","properties":{},"description":"Whether the domain resolves to a public host (DNS A/AAAA lookup). `null` when lookup did not complete in time."}],"mx_provider_class":[{"type":"string","description":"Inferred mail host category when MX is present: `none` , `google_workspace` , `microsoft_365` , `yahoo` , `zoho` , `proton` , or `custom` ."}],"status":[{"type":"string","description":"The response status. Expected values: `success` , or `error` .","required":true}],"executionTime":[{"type":"integer","description":"Time spent in milliseconds to process the data.","required":true}]},"required":true}]}}],"examples":{"example":{"value":{"data":{"name":"\u003cstring>","is_disposable":{},"is_forwarding":{},"is_dangerous":{},"is_spf":{},"is_dmarc":{},"is_dkim":{},"is_mx":{},"is_bimi":{},"created_at":{},"is_new":{},"domain_age_days":{},"has_website":{},"mx_provider_class":"\u003cstring>","status":"\u003cstring>","executionTime":123}}}}}}},"deprecated":false}},"jsLinks":[],"dynamicCss":".mint-relative {\n position: relative\n}\n.\\!mint-m-0 {\n margin: 0px !important\n}\n.mint-my-0 {\n margin-top: 0px;\n margin-bottom: 0px\n}\n.mint-my-4 {\n margin-top: 1rem;\n margin-bottom: 1rem\n}\n.mint-mt-0 {\n margin-top: 0px\n}\n.mint-mt-0\\.5 {\n margin-top: 0.125rem\n}\n.mint-flex {\n display: flex\n}\n.mint-h-4 {\n height: 1rem\n}\n.mint-w-4 {\n width: 1rem\n}\n.mint-w-full {\n width: 100%\n}\n.mint-min-w-0 {\n min-width: 0px\n}\n.mint-flex-1 {\n flex: 1 1 0%\n}\n.mint-shrink-0 {\n flex-shrink: 0\n}\n.mint-flex-col {\n flex-direction: column\n}\n.mint-flex-wrap {\n flex-wrap: wrap\n}\n.mint-gap-2 {\n gap: 0.5rem\n}\n.mint-gap-3 {\n gap: 0.75rem\n}\n.mint-overflow-hidden {\n overflow: hidden\n}\n.mint-rounded-2xl {\n border-radius: 1rem\n}\n.mint-border {\n border-width: 1px\n}\n.mint-border-\\[\\#C792FC\\] {\n --tw-border-opacity: 1;\n border-color: rgb(199 146 252 / var(--tw-border-opacity, 1))\n}\n.mint-border-gray-950\\/10 {\n border-color: rgb(3 7 18 / 0.1)\n}\n.mint-bg-\\[\\#c084fc\\] {\n --tw-bg-opacity: 1;\n background-color: rgb(192 132 252 / var(--tw-bg-opacity, 1))\n}\n.mint-bg-gray-50 {\n --tw-bg-opacity: 1;\n background-color: rgb(249 250 251 / var(--tw-bg-opacity, 1))\n}\n.mint-p-4 {\n padding: 1rem\n}\n.mint-px-5 {\n padding-left: 1.25rem;\n padding-right: 1.25rem\n}\n.mint-py-4 {\n padding-top: 1rem;\n padding-bottom: 1rem\n}\n.mint-text-sm {\n font-size: 0.875rem;\n line-height: 1.25rem\n}\n.mint-text-xs {\n font-size: 0.75rem;\n line-height: 1rem\n}\n.mint-font-semibold {\n font-weight: 600\n}\n.mint-text-\\[\\#6005BB\\] {\n --tw-text-opacity: 1;\n color: rgb(96 5 187 / var(--tw-text-opacity, 1))\n}\n.mint-text-blue-700 {\n --tw-text-opacity: 1;\n color: rgb(29 78 216 / var(--tw-text-opacity, 1))\n}\n.mint-text-gray-950 {\n --tw-text-opacity: 1;\n color: rgb(3 7 18 / var(--tw-text-opacity, 1))\n}\n.mint-text-green-700 {\n --tw-text-opacity: 1;\n color: rgb(21 128 61 / var(--tw-text-opacity, 1))\n}\n.mint-text-purple-700 {\n --tw-text-opacity: 1;\n color: rgb(126 34 206 / var(--tw-text-opacity, 1))\n}\n.dark\\:mint-border-\\[\\#c084fc4d\\]:is(.dark *) {\n border-color: #c084fc4d\n}\n.dark\\:mint-border-white\\/10:is(.dark *) {\n border-color: rgb(255 255 255 / 0.1)\n}\n.dark\\:mint-bg-\\[\\#c084fc1a\\]:is(.dark *) {\n background-color: #c084fc1a\n}\n.dark\\:mint-bg-white\\/5:is(.dark *) {\n background-color: rgb(255 255 255 / 0.05)\n}\n.dark\\:mint-text-\\[\\#FFFFFF\\]:is(.dark *) {\n --tw-text-opacity: 1;\n color: rgb(255 255 255 / var(--tw-text-opacity, 1))\n}\n.dark\\:mint-text-blue-400:is(.dark *) {\n --tw-text-opacity: 1;\n color: rgb(96 165 250 / var(--tw-text-opacity, 1))\n}\n.dark\\:mint-text-gray-50:is(.dark *) {\n --tw-text-opacity: 1;\n color: rgb(249 250 251 / var(--tw-text-opacity, 1))\n}\n.dark\\:mint-text-green-400:is(.dark *) {\n --tw-text-opacity: 1;\n color: rgb(74 222 128 / var(--tw-text-opacity, 1))\n}\n.dark\\:mint-text-purple-400:is(.dark *) {\n --tw-text-opacity: 1;\n color: rgb(192 132 252 / var(--tw-text-opacity, 1))\n}\n@media (min-width: 640px) {\n .sm\\:mint-flex-row {\n flex-direction: row\n }\n}\n@media (min-width: 768px) {\n .md\\:mint-mt-4 {\n margin-top: 1rem\n }\n}","subdomain":"greip","siteName":"Greip API Documentation","title":"Domain Lookup - Greip API Documentation","navMaps":{"firstHrefInVersion":{"API v2":{"href":"/api-reference/v2/endpoint/data-lookup/domain","matchLevel":1},"API v1":{"href":"/api-reference/v1/endpoint/data-lookup/domain","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-10-21T09:49:56.761Z","originalFileLocation":"api-reference/v1/endpoint/data-lookup/domain.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This method allows you to retrieve detailed information about a domain by providing its domain name in the request. The API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Greip API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Domain Lookup - Greip API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"This method allows you to retrieve detailed information about a domain by providing its domain name in the request. The API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Greip API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://greip.mintlify.app/_mintlify/api/og/v2?division=Data+Lookup\u0026amp;title=Domain+Lookup\u0026amp;description=This+method+allows+you+to+retrieve+detailed+information+about+a+domain+by+providing+its+domain+name+in+the+request.%0A%0AThe+API+returns+valuable+data%2C+such+as+the+\u0026amp;theme=7cf64e10dd7828d12f27732f\u0026amp;signature=7efaa8fa23b988423e4bf45947209a29a6f90fc51ac454a187956709f6f8fb09\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Domain Lookup - Greip API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This method allows you to retrieve detailed information about a domain by providing its domain name in the request. The API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://greip.mintlify.app/_mintlify/api/og/v2?division=Data+Lookup\u0026amp;title=Domain+Lookup\u0026amp;description=This+method+allows+you+to+retrieve+detailed+information+about+a+domain+by+providing+its+domain+name+in+the+request.%0A%0AThe+API+returns+valuable+data%2C+such+as+the+\u0026amp;theme=7cf64e10dd7828d12f27732f\u0026amp;signature=7efaa8fa23b988423e4bf45947209a29a6f90fc51ac454a187956709f6f8fb09\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/greip/dtlfq1ulgjuPqDEw/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Greip API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#008CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v1/endpoint/data-lookup/domain.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.greip.io/#organization\",\"name\":\"Greip API Documentation\",\"url\":\"https://docs.greip.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/greip/c6lrSS26RYZXvB76/logo/light.svg?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=f19b2aac5c5fcac6cccf3ef89dc6cc9a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.greip.io#website\",\"name\":\"Greip API Documentation\",\"url\":\"https://docs.greip.io\",\"publisher\":{\"@id\":\"https://docs.greip.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain#webpage\",\"url\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain\",\"name\":\"Domain Lookup\",\"description\":\"This method allows you to retrieve detailed information about a domain by providing its domain name in the request. The API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.\",\"dateModified\":\"2026-10-21T09:49:56.761Z\",\"isPartOf\":{\"@id\":\"https://docs.greip.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Data Lookup\",\"item\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/geoip\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Domain Lookup\",\"item\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain#apireference\",\"headline\":\"Domain Lookup\",\"name\":\"Domain Lookup\",\"description\":\"This method allows you to retrieve detailed information about a domain by providing its domain name in the request. The API returns valuable data, such as the domain’s creation date, with some risk evaluation metrics.\",\"url\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain\",\"mainEntityOfPage\":{\"@id\":\"https://docs.greip.io/api-reference/v1/endpoint/data-lookup/domain#webpage\"},\"dateModified\":\"2026-10-21T09:49:56.761Z\",\"publisher\":{\"@id\":\"https://docs.greip.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.greip.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Greip API Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Greip API Documentation","nav":{"global":{"anchors":[{"anchor":"Integrations","icon":"gears","href":"https://greip.io/integrations/all"},{"anchor":"Changelog","icon":"clock-rotate-left","href":"https://changelog.greip.io"},{"anchor":"Server Status","icon":"signal-bars","href":"https://status.greip.io"},{"anchor":"Articles","icon":"rss","href":"https://greip.io/blog"},{"anchor":"Dictionary","icon":"book-open","href":"https://greip.io/blog/section/Dictionary"},{"anchor":"FAQ","icon":"circle-question","href":"https://greip.io/faq"}]},"versions":[{"version":"API v2","default":true,"tag":"Recommended","pages":[{"title":"API v2","href":"/api-reference/v2/endpoint/data-lookup/domain"}]},{"version":"API v1","tag":"Legacy","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Data Lookup","pages":[{"title":"IP Geolocation","api":"GET /geoip","href":"/api-reference/v1/endpoint/data-lookup/geoip"},{"title":"IP Lookup","api":"GET /lookup/ip","href":"/api-reference/v1/endpoint/data-lookup/ip"},{"title":"Bulk IP Lookup","api":"GET /lookup/ip/bulk","href":"/api-reference/v1/endpoint/data-lookup/bulk-ip"},{"title":"ASN Lookup","api":"GET /lookup/asn","href":"/api-reference/v1/endpoint/data-lookup/asn"},{"title":"IBAN Lookup","api":"GET /lookup/iban","href":"/api-reference/v1/endpoint/data-lookup/iban"},{"title":"BIN/IIN Lookup","api":"GET /lookup/bin","href":"/api-reference/v1/endpoint/data-lookup/bin"},{"title":"Country Lookup","description":"This method allows you to retrieve detailed information about a country by providing its country code in the request.\n\nThe API returns valuable data, such as the country’s name, capital, population, region, and other relevant attributes, enabling you to enrich your applications with geographic context and enhance user experiences.","api":"GET /lookup/country","href":"/api-reference/v1/endpoint/data-lookup/country"},{"title":"Domain Lookup","api":"GET /lookup/domain","href":"/api-reference/v1/endpoint/data-lookup/domain"},{"title":"Free Get-IP","description":"This method allows you to retrieve the IP address of your visitors or users without the need for an account or API key in Greip.\n\nIt’s a quick and easy way to access IP information, making it ideal for basic integrations or when you need to capture user IPs with minimal setup.","icon":"heart","iconType":"duotone","href":"/api-reference/v1/endpoint/data-lookup/free-get-ip-method"}]},{"group":"Risk Scoring","pages":[{"title":"IP Reputation","api":"GET /lookup/ip/threats","href":"/api-reference/v1/endpoint/scoring/ip-reputation"},{"title":"Email Scoring","api":"GET /scoring/email","href":"/api-reference/v1/endpoint/scoring/email"},{"title":"Phone Number Scoring","api":"GET /scoring/phone","href":"/api-reference/v1/endpoint/scoring/phone"},{"title":"Profanity Detection","api":"GET /scoring/profanity","href":"/api-reference/v1/endpoint/scoring/profanity"},{"title":"Payment Fraud Detection","api":"POST /scoring/payment","href":"/api-reference/v1/endpoint/scoring/payment"}]},{"group":"Account Management","pages":[{"title":"User Data Deletion","api":"DELETE /account/users/delete","href":"/api-reference/v1/endpoint/account/users/delete"}]}]},{"tab":"Knowledge Base","pages":[{"title":"Knowledge Base","href":"/knowledge-base/getting-started/introduction"}]},{"tab":"Integration Guide","pages":[{"title":"Integration Guide","href":"/integration-guide/timeline"}]},{"tab":"Packages \u0026 Libraries","pages":[{"title":"Packages \u0026 Libraries","href":"/packages-and-libraries/list-of-packages-and-libraries"}]}]}]},"title":"Domain Lookup - Greip API Documentation","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["BannerMarkdown-m8-xYP3Y.js","dist-1ms6tsT-.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","clsx-DMKzROTp.js","html-void-elements-mCSPHezU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js"]}